/* Presets ------------------------ */ @import './style/preset.scss'; 

body {
    padding-top: 16px;
    background-color: rgb(32,32,32);
    color: rgb(224, 224, 224);
    font-weight: 700;
}

.layout {
    width: 480px;
    margin: auto;
}

.menu {
    display: flex;
    overflow: hidden;
    border-radius: 8px;
    .menu-item {
        width: 160px;
        display: flex;
        align-items: center;
        justify-content: center;
        background-color: rgba(128,128,128,0.5);
        span {
            font-weight: 700;
            color: rgb(224, 224, 224);
            margin: 16px;
        }
        &.active {
            background-color: rgba(0,128,255,0.2);
            span {
                color: rgb(0,128,255);
            }
        }
    }
}



.action {
    width: 100%;
    height: 40px;
    box-sizing: border-box;
    padding: 12px;
    color: white;
    background-color: rgb(0, 128, 255);
    display: flex;
    align-items: center;
    justify-content: center;
    &.disabled {
        background-color: rgba(128, 128, 128, 0.15);
        color: rgba(255,255,255,0.5);
    }
    &.radius {
        border-radius: 8px;
    }
}

.block {
    display: flex;
    flex-direction: column;
    align-items: center;
    border-radius: 8px;
    overflow: hidden;
}
.line {
    display: flex;
    align-items: center;
    width: 100%;
    height: 40px;
    overflow: hidden;
}
.key {
    display: flex;
    align-items: center;
    width: 160px;
    height: 40px;
    box-sizing: border-box;
    padding: 12px;
    background-color: rgb(64, 64, 64);
}
.value {
    font-weight: 400;
    flex-grow: 1;
    display: flex;
    align-items: center;
    height: 40px;
    box-sizing: border-box;
    padding: 12px;
    background-color: rgb(48, 48, 48);
    white-space: no-wrap;
    &.input {
        color: white;
    }
    &.disabled {
        color: rgba(128,128,128,0.4);
    }
    &.center {
        justify-content: center; 
    }
}

.user-token {
    align-items: center;
    border-radius: 8px;
    overflow: hidden;
    .line {
        border-radius: 0;
        overflow: hidden;
        display: flex;
        align-items: center;
        .key {
            width: 100%;
            justify-content: center;
        }
    }
    .action {
        border-radius: 0;
    }
}

@media screen and (max-width: 500px) {
    body {
        padding: 16px;
    }

    .layout {
        width: 100%;
    }

    .menu {
        .menu-item {
            width: unset;
            width: 33%;
            &.middle {
                width: 34%;
            }
        }
    }

    .key {
        width: 33%;
    }

    .value {
        width: 67%;
    }
  }